%define	tag	c5e5eb58e48a6ad08298f178a9d91b9539abf883
Summary:	Transparent read-write compression filesystem
Summary(pl.UTF-8):	System plików z przezroczystą kompresją danych
Name:		fusecompress
Version:	2.6
Release:	4
License:	GPL v2+
Group:		Applications/System
Source0:	https://github.com/tex/fusecompress/archive/2.6.tar.gz
# Source0-md5:	923688bd13b9d87fb74a0449bdf86724
Patch0:		fusecompress-git.patch
URL:		https://code.google.com/p/fusecompress/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.33.1
BuildRequires:	bzip2-devel
BuildRequires:	libfuse-devel >= 2.6
BuildRequires:	libmagic-devel
BuildRequires:	lzo-devel >= 2
BuildRequires:	libstdc++-devel
BuildRequires:	rlog-devel >= 1.3
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FuseCompress provides a mountable Linux filesystem which transparently
compress its content. Files stored in this filesystem are compressed
on the fly and Fuse allows to create a transparent interface between
compressed files and user applications.

%description -l pl.UTF-8
FuseCompress udostępnia montowalny system plików, który przezroczyście
kompresuje swoją zawartość. Pliki przechowywane na tym systemie plików
są kompresowane w locie, a Fuse pozwala utworzyć przezroczysty
interfejs między skompresowanymi plikami a aplikacjami użytkownika

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

# gold causes really weird issues with fuse apps
install -d ld-dir
[ ! -x /usr/bin/ld.bfd ] || ln -sf /usr/bin/ld.bfd ld-dir/ld

%build
PATH=$(pwd)/ld-dir:$PATH
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--bindir=%{_sbindir} \
	--with-boost-libdir=%{_libdir} \
	--with-boost-filesystem=boost_filesystem \
	--with-boost-iostreams=boost_iostreams \
	--with-boost-program-options=boost_program_options \
	--with-boost-serialization=boost_serialization \
	--with-boost-system=boost_system \
	--with-bz2 \
	--with-lzma \
	--with-lzo2 \
	--with-z
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_sbindir}/{print_compress,fusecompress_print_compress}
%{__rm} $RPM_BUILD_ROOT%{_sbindir}/xattrs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE NEWS README TODO
%attr(755,root,root) %{_sbindir}/mount.fusecompress
%attr(755,root,root) %{_sbindir}/%{name}
%attr(755,root,root) %{_sbindir}/%{name}_offline
%attr(755,root,root) %{_sbindir}/%{name}_print_compress
%{_mandir}/man1/fusecompress.1*
%{_mandir}/man1/fusecompress_offline.1*
%changelog
* Mon Sep 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fusecompress.git;a=log;h=master

* Mon Sep 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> da303bc
- release 4 (by relup.sh)

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> 7398c02
- release 3 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> d681c49
- release 2 (by relup.sh)

* Thu May 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 83653df
- completed BRs, GPL version, verbose man files

* Sun May 19 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a19841f
- up to 2.6+git fixes

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f2f5fb6
- drop obsolete files

* Fri Nov 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d4a707f
- BR lzo-devel

* Fri Nov 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d7993ba
- builds; untested

* Fri Nov 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 33223df
- new

* Fri Nov 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f4f39e
- 2.2; doesn't build

* Fri Nov 21 2008 Paweł Sikora <pluto@pld-linux.org> f93f26d
- initial build fix, nfy.

* Fri Nov 21 2008 Paweł Sikora <pluto@pld-linux.org> a4eae2b
- initial build fix.

* Thu Nov 20 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f69c9b8
- 2.0; boost problems

* Wed Aug 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f059852
- up to 1.99.19

* Wed May 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2551cd2
- up to 1.99.16

* Sat Jan 12 2008 Jakub Bogusz <qboosh@pld-linux.org> 4e4f2da
- complete pl desc

* Mon Jan 07 2008 kosmo <kosmo@pld-linux.org> 5c42675
- initial version

